package de.avatic.taricdb.helper.workbook.wrapper;

import de.avatic.taricdb.model.MeasureExclusion;

import java.time.LocalDate;

public class MeasureExclusionWrapper {
	
	private MeasureExclusion exclusion;
	
	private String hsCode;
	
	private Integer originCode;
	
	private Integer measureCode;

	private String iso3166Code;

	private String addCode;

	private String orderNumber;

    private LocalDate startDate;
    private LocalDate endDate;
	
	public MeasureExclusionWrapper(MeasureExclusion exclusion, String hsCode, Integer originCode, Integer measureCode, String iso3166Code, String addCode, String orderNumber, LocalDate startDate, LocalDate endDate) {
		this.exclusion = exclusion;
		this.hsCode = hsCode;
		this.originCode = originCode;
		this.measureCode = measureCode;
		this.iso3166Code = iso3166Code;
		this.addCode = addCode;
		this.orderNumber = orderNumber;
        this.startDate = startDate;
        this.endDate = endDate;
	}

	public MeasureExclusion getExclusion() {
		return exclusion;
	}

	public String getOrderNumber() {
		return orderNumber;
	}

	public String getHsCode() {
		return hsCode;
	}

	public Integer getMeasureCode() {
		return measureCode;
	}
	
	public Integer getOriginCode() {
		return originCode;
	}
	
	public MeasureExclusion getMeasureExclusion() {
		return exclusion;
	}
	
	public String getIso3166Code() {
		return iso3166Code;
	}

	public Object getAddCode() {
		return addCode;
	}


    public LocalDate getStartDate() {
        return startDate;
    }

    public LocalDate getEndDate() {
        return endDate;
    }
}
